cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/inventory_adjustments/ia_3c4d5e6f708192a3b4c5d6e7f8091a2b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.inventory_adjustments.get_inventory_adjustment(
"ia_3c4d5e6f708192a3b4c5d6e7f8091a2b"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.inventoryAdjustments.getInventoryAdjustment('ia_3c4d5e6f708192a3b4c5d6e7f8091a2b');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->inventoryAdjustments->getInventoryAdjustment(
'ia_3c4d5e6f708192a3b4c5d6e7f8091a2b',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.inventory_adjustments.inventory_adjustments_dto.InventoryAdjustmentsDto.InventoryAdjustment;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<InventoryAdjustment> response = client.inventoryAdjustments().getInventoryAdjustment(
"ia_3c4d5e6f708192a3b4c5d6e7f8091a2b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.InventoryAdjustments.GetInventoryAdjustmentAsync("ia_3c4d5e6f708192a3b4c5d6e7f8091a2b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.inventoryAdjustments.getInventoryAdjustment(
'ia_3c4d5e6f708192a3b4c5d6e7f8091a2b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.InventoryAdjustments().GetInventoryAdjustment(context.Background(), "ia_3c4d5e6f708192a3b4c5d6e7f8091a2b", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"inventory_adjustment": {
"adjustment_amount": "<string>",
"adjustment_type": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"href": "<string>",
"id": "<string>",
"item_id": "<string>",
"item_name": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"quantity_available": "<string>",
"quantity_on_hand": "<string>",
"quantity_on_order": "<string>",
"quantity_on_purchase_return": "<string>",
"quantity_on_reserve": "<string>",
"quantity_on_return": "<string>",
"quantity_promised": "<string>",
"reference": "<string>",
"status": "<string>",
"warehouse_name": "<string>"
}
}Inventory adjustments
Retrieve an inventory adjustment
Returns one inventory adjustment by its id.
GET
/
inventory_adjustments
/
{inventory_adjustment_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/inventory_adjustments/ia_3c4d5e6f708192a3b4c5d6e7f8091a2b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.inventory_adjustments.get_inventory_adjustment(
"ia_3c4d5e6f708192a3b4c5d6e7f8091a2b"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.inventoryAdjustments.getInventoryAdjustment('ia_3c4d5e6f708192a3b4c5d6e7f8091a2b');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->inventoryAdjustments->getInventoryAdjustment(
'ia_3c4d5e6f708192a3b4c5d6e7f8091a2b',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.inventory_adjustments.inventory_adjustments_dto.InventoryAdjustmentsDto.InventoryAdjustment;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<InventoryAdjustment> response = client.inventoryAdjustments().getInventoryAdjustment(
"ia_3c4d5e6f708192a3b4c5d6e7f8091a2b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.InventoryAdjustments.GetInventoryAdjustmentAsync("ia_3c4d5e6f708192a3b4c5d6e7f8091a2b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.inventoryAdjustments.getInventoryAdjustment(
'ia_3c4d5e6f708192a3b4c5d6e7f8091a2b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.InventoryAdjustments().GetInventoryAdjustment(context.Background(), "ia_3c4d5e6f708192a3b4c5d6e7f8091a2b", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"inventory_adjustment": {
"adjustment_amount": "<string>",
"adjustment_type": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"href": "<string>",
"id": "<string>",
"item_id": "<string>",
"item_name": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"quantity_available": "<string>",
"quantity_on_hand": "<string>",
"quantity_on_order": "<string>",
"quantity_on_purchase_return": "<string>",
"quantity_on_reserve": "<string>",
"quantity_on_return": "<string>",
"quantity_promised": "<string>",
"reference": "<string>",
"status": "<string>",
"warehouse_name": "<string>"
}
}Returns the adjustment under
inventory_adjustment, with the item, the warehouse, the adjustment_amount and the quantities after the change, each quantity as a string.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The adjustment's id, from the listing.
Response
200 - application/json
The adjustment, under inventory_adjustment.
Show child attributes
Show child attributes